#ifndef EGIFATTR_H
#define EGIFATTR_H

#include "eattr.h"
#include "egif.h"

namespace Ui {
class eGifAttr;
}

class eGifAttr : public eAttr
{
    Q_OBJECT
public:
    explicit eGifAttr(const eGif::Data &data, QWidget *parent = nullptr);
    ~eGifAttr();

signals:
    void sResChanged(const QString &);
    void sAttrChanged(const eGif::Data &);

public slots:
    void onSelectFile();
    void onAttrChanged();

private:
    Ui::eGifAttr *ui;
};

#endif // EGIFATTR_H
